"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _constants = require("./utils/constants");

const RNMaterialTimePicker = _reactNative.NativeModules.RNMaterialTimePicker ? _reactNative.NativeModules.RNMaterialTimePicker : new Proxy({}, {
  get() {
    throw new Error(_constants.LINKING_ERROR);
  }

});

class TimePicker {
  /**
   * Shows the Android Material Design time picker dialog.
   */
  static async show(options) {
    return RNMaterialTimePicker.show({ ...options,
      value: options.value.getTime()
    });
  }

  static async dismiss() {
    return RNMaterialTimePicker.dismiss();
  }

}

exports.default = TimePicker;
//# sourceMappingURL=timepicker.android.js.map